## ros-dashing-phidgets-spatial 2.0.2

=== debian/changelog ===
ros-dashing-phidgets-spatial (2.0.2-1bionic) bionic; urgency=high

  * Release build fixes (#67 <https://github.com/ros-drivers/phidgets_drivers/issues/67>)
  * Contributors: Chris Lalancette

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 01 Jun 2020 00:00:00 -0000

ros-dashing-phidgets-spatial (2.0.1-1bionic) bionic; urgency=high

  * Switch the buildtoo_depend to ament_cmake_ros. (#65 <https://github.com/ros-drivers/phidgets_drivers/issues/65>)
  * Contributors: Chris Lalancette

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 05 Dec 2019 00:00:00 -0000

ros-dashing-phidgets-spatial (2.0.0-1bionic) bionic; urgency=high

  * Include file cleanup.
  * Make sure exceptions get caught by reference.
  * Switch from NULL to nullptr.
  * Make sure to initialize class member variables.
  * Update READMEs to use "Published Topics" and "Subscribed Topics". (#59 <https://github.com/ros-drivers/phidgets_drivers/issues/59>)
  * Change launch output to "both" so it logs as well.
  * Make publish_rate a double.
  * Print out the serial number when connecting.
  * Update documentation to mention device dependent fields.
  * Update FIXME comments for sleep.
  * Port spatial to ROS 2.
  * Ignore all packages for ROS 2 port.
  * Fix wrong defaults for standard deviations (#48 <https://github.com/ros-drivers/phidgets_drivers/issues/48>)
  * Improve the IMU calibration service (#47 <https://github.com/ros-drivers/phidgets_drivers/issues/47>)
  * Update maintainers in package.xml
  * Merge pull request #39 <https://github.com/ros-drivers/phidgets_drivers/issues/39> from clalancette/add-libphidget22
  * Resynchronize the times at periodic intervals.
  * Add launch files for all drivers.
  * Add in try/catch blocks for connecting.
  * Fixes from review.
  * Documentation updates to README.md
  * Set the publish_rate to 0 by default.
  * Add in the license files and add to the headers.
  * Remove nodes in favor of nodelets.
  * Finish removing launch file from phidgets_spatial.
  * Rewrite IMU using libphidget22.
  * Contributors: Chris Lalancette, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 05 Dec 2019 00:00:00 -0000

ros-dashing-phidgets-spatial (0.7.9-1bionic) bionic; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Fri, 28 Jun 2019 00:00:00 -0000

ros-dashing-phidgets-spatial (0.7.8-1bionic) bionic; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 06 May 2019 00:00:00 -0000

ros-dashing-phidgets-spatial (0.7.7-1bionic) bionic; urgency=high

  * Add parameter use_imu_time (default true) (#27 <https://github.com/ros-drivers/phidgets_drivers/issues/27>)
    Setting use_imu_time to false will disable the imu time calibration and
    always use the Host time, i.e. ros::Time::now().
  * Contributors: Jochen Sprickerhof

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 18 Sep 2018 00:00:00 -0000

ros-dashing-phidgets-spatial (0.7.6-1bionic) bionic; urgency=high

  * phidgets_imu: Ensure strictly ordered timestamps (#26 <https://github.com/ros-drivers/phidgets_drivers/issues/26>)
    Fixes #17 <https://github.com/ros-drivers/phidgets_drivers/issues/17>.
  * Contributors: Michael Grupp, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 09 Aug 2018 00:00:00 -0000

ros-dashing-phidgets-spatial (0.7.5-1bionic) bionic; urgency=high

  * phidgets_imu: Add roslaunch_add_file_check
  * phidgets_imu: Add diagnostic_aggregator dependency
  * phidgets_imu: Add missing install rule for config
  * update to use non deprecated pluginlib macro (#19 <https://github.com/ros-drivers/phidgets_drivers/issues/19>)
  * Contributors: Martin Günther, Mikael Arguedas

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 31 Jan 2018 00:00:00 -0000

ros-dashing-phidgets-spatial (0.7.4-1bionic) bionic; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 04 Oct 2017 00:00:00 -0000

ros-dashing-phidgets-spatial (0.7.3-1bionic) bionic; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Fri, 30 Jun 2017 00:00:00 -0000

ros-dashing-phidgets-spatial (0.7.2-1bionic) bionic; urgency=high

  * First release into Lunar
  * phidgets_imu: Add use_magnetic_field_msg to launch
    This is required in Jade: Since Jade, phidgets_imu publishes
    MagneticField messages, but imu_filter_madgwick still subscribes by
    default to Vector3Stamped messages. When running as nodelets, this can
    produce a silent error.
    In Kinetic, this is optional: imu_filter_madgwick now defaults to
    MagneticField.
    From Lunar on, it should be removed, because the use_magnetic_field_msg
    param was removed from imu_filter_madgwick.
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Fri, 02 Jun 2017 00:00:00 -0000

ros-dashing-phidgets-spatial (0.7.1-1bionic) bionic; urgency=high

  * phidgets_imu: add optional serial number parameter (#7 <https://github.com/ros-drivers/phidgets_drivers/issues/7>)
  * phidgets_imu: Add imu_filter_madgwick dependency
    Closes #9 <https://github.com/ros-drivers/phidgets_drivers/issues/9>.
  * Contributors: Johan M. von Behren, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 22 May 2017 00:00:00 -0000

ros-dashing-phidgets-spatial (0.7.0-1bionic) bionic; urgency=high

  * Publish MagneticField instead of Vector3Stamped
  * Report mag data in Tesla, not Gauss
    This is to conform with sensor_msgs/MagneticField, which requires the
    data to be in Tesla.
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Fri, 17 Feb 2017 00:00:00 -0000

ros-dashing-phidgets-spatial (0.2.3-1bionic) bionic; urgency=high

  * Add IMU diagnostics (#24 <https://github.com/ccny-ros-pkg/phidgets_drivers/pull/24>)
  * Set data rate after reattachment
    This fixes a bug where after disconnecting and reconnecting the USB
    cable, the data rate would be set to the default of 125 Hz (= period of
    8ms). By moving the setDataRate call to the attachHandler, the data rate

