=== debian/control ===
Source: ros-dashing-phidgets-spatial
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake-ros, ros-dashing-phidgets-api, ros-dashing-rclcpp, ros-dashing-rclcpp-components, ros-dashing-sensor-msgs, ros-dashing-std-msgs, ros-dashing-std-srvs, ros-dashing-ros-workspace
Homepage: http://ros.org/wiki/phidgets_spatial
Standards-Version: 3.9.2

Package: ros-dashing-phidgets-spatial
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-launch, ros-dashing-phidgets-api, ros-dashing-rclcpp, ros-dashing-rclcpp-components, ros-dashing-sensor-msgs, ros-dashing-std-msgs, ros-dashing-std-srvs, ros-dashing-ros-workspace
Description: Driver for the Phidgets Spatial 3/3/3 devices
